<?php
/**
 * elegantPURL Lite settings page
 *
 * PHP version 5
 * 
 * @package   elegantPURL Lite
 * @author    Chris Lema (cflema@gmail.com) and Justin Kussow (jdkussow@gmail.com)
 * @copyright Copyright (c)2011 ALL RIGHTS RESERVED
 */
class epurl_settings {
    function add_header() {
        if ( function_exists( 'wp_get_current_user' ) ) {
            if ( !current_user_can( 'manage_options' ) ) {
                echo '<div id="message" class="updated fade"><p><strong>Warning: access denied.</strong></p></div>';
                return false;
            }
	}
        
        if ( array_key_exists( '_epurl_wpnonce', $_POST ) && check_admin_referer( 'options-general.php?page=' . $_GET['page'], '_epurl_wpnonce' ) ) {
            if ( isset( $_POST['epurl_reset_button'] ) ) {
                elegantpurl::reset();
                echo '<div id="message" class="updated fade"><p><strong>elegantPurl reset.</strong></p></div>';
            }
        } 
    }
        
    function show_settings_page() {
        global $epurl_settings;
        self::add_header();    
        $epurl_settings = get_option('plugin_epurl_settings');
        self::render_metabox_open( 'elegantPURL Lite Settings', true );
        add_meta_box( 'epurl_reset_div', 'Reset', array('epurl_settings', 'render_reset'), $_GET['page'], 'normal', 'low' );
        do_meta_boxes( $_GET['page'], 'normal', '' );
        self::render_metabox_close( true );
    }
    
    function render_reset() {
        ?>
        <p>
            <p>
                If you want to reset all of elegantPurl Lite, click the button below. 
                This will wipe out all campaigns and their settings, any saved settings, and anythings else
                stored by elegantPurl Lite.
            </p>
            <button name="epurl_reset_button"
                    onclick="return confirm('Are you sure you want to reset elegantPurl Lite?');"
                    value="true" class="button">Reset elegantPurl Lite</button>
        </p>
        <?php
    }
    
    function render_metabox_open( $page_title ) {
        ?>
<div class="wrap">
    <h2><?php echo $page_title ?></h2>
    <form method="post" action="options-general.php?page=<?php echo $_GET['page'] ?>">
        <?php wp_nonce_field( 'options-general.php?page=' . $_GET['page'], '_epurl_wpnonce' ); ?>
        <div id="poststuff">
            <div id="post-body">
                <div class="metabox-holder">
                    <div class="meta-box-sortables ui-sortable" id="normal-sortables">
         <?php
    }
    
    function render_metabox_close() {
        ?>
                    </div>
                    <div style="clear:both;"></div>
                </div>
            </div>
        </div>    
    </form>
</div>
         <?php
    }
}
?>