<?php
function epurl_url_shortcode( $atts ) {
    extract( shortcode_atts( array(
      'user' => '',
      'campaign' => ''
      ), $atts ) );
    
    if ( !$user ) 
        $user = get_query_var( 'user' );
    if ( !$campaign )
        $campaign = get_query_var( 'campaign' );
    
    $baseLPUrl = get_site_url() . '/';
    if ( $campaign ) {
        $epurl_settings = get_option('plugin_epurl_settings');
        $main_campaign = get_post ( $epurl_settings['main_campaign_id'] );
        if ( $main_campaign->post_name != $campaign )
            $baseLPUrl .= $campaign . '/';
    }
    
    $user = esc_attr($user);
    $campaign = esc_attr($campaign);
    
    $memberId = elegantpurl::get_member_id( $campaign, $user );
    $landing_page = get_post_meta( $memberId, 'epurl_landing_page', true);
    return $baseLPUrl . $landing_page;
}
add_shortcode( 'epurl-url', 'epurl_url_shortcode' );
?>
